package com.sun.xml.internal.org.jvnet.fastinfoset;

import java.io.OutputStream;
import java.io.IOException;
import java.io.InputStream;

public interface EncodingAlgorithm
{
    public abstract Object decodeFromBytes(byte[] p0, int p1, int p2) throws EncodingAlgorithmException;
    
    public abstract Object decodeFromInputStream(InputStream p0) throws EncodingAlgorithmException, IOException;
    
    public abstract void encodeToOutputStream(Object p0, OutputStream p1) throws EncodingAlgorithmException, IOException;
    
    public abstract Object convertFromCharacters(char[] p0, int p1, int p2) throws EncodingAlgorithmException;
    
    public abstract void convertToCharacters(Object p0, StringBuffer p1) throws EncodingAlgorithmException;
}
